/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <ox/std/types.hpp>

#include <nostalgia/core/context.hpp>

namespace nostalgia::core::renderer {

ox::Error init(Context *ctx, void **rendererData) noexcept;

void shutdown(Context *ctx, void *rendererData) noexcept;

void loadBgTexture(void *rendererData, unsigned cbb, void *pixels, int w, int h) noexcept;

}
